Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 1214843004: Added a `ResultFuture` class. (Closed)

Created:
3 years, 11 months ago by nweiz
Modified:
3 years, 11 months ago
CC:
reviews_dartlang.org
Base URL:
git@github.com:dart-lang/async.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Added a `ResultFuture` class. This allows code to synchronously access the result of a wrapped future. R=lrn@google.com Committed: https://github.com/dart-lang/async/commit/5465a4f2a4717cf5a209a96694bb1dd7e4c13811

Patch Set 1 #

Total comments: 8

Patch Set 2 : Code review changes #

Total comments: 2

Patch Set 3 : Code review changes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+83 lines, -0 lines) Patch
M CHANGELOG.md View 1 chunk +3 lines, -0 lines 0 comments Download
M lib/async.dart View 1 chunk +1 line, -0 lines 0 comments Download
A lib/src/result_future.dart View 1 2 1 chunk +35 lines, -0 lines 0 comments Download
A test/result_future_test.dart View 1 chunk +44 lines, -0 lines 0 comments Download

Messages

Total messages: 10 (1 generated)
nweiz
3 years, 11 months ago (2015-07-07 21:56:22 UTC) #2
Lasse Reichstein Nielsen
https://codereview.chromium.org/1214843004/diff/1/lib/src/result_future.dart File lib/src/result_future.dart (right): https://codereview.chromium.org/1214843004/diff/1/lib/src/result_future.dart#newcode14 lib/src/result_future.dart:14: class ResultFuture<T> extends DelegatingFuture<T> { I think I'd prefer ...
3 years, 11 months ago (2015-07-08 11:01:57 UTC) #3
nweiz
Code review changes
3 years, 11 months ago (2015-07-09 01:18:27 UTC) #4
nweiz
https://codereview.chromium.org/1214843004/diff/1/lib/src/result_future.dart File lib/src/result_future.dart (right): https://codereview.chromium.org/1214843004/diff/1/lib/src/result_future.dart#newcode14 lib/src/result_future.dart:14: class ResultFuture<T> extends DelegatingFuture<T> { On 2015/07/08 11:01:56, Lasse ...
3 years, 11 months ago (2015-07-09 01:18:38 UTC) #5
Lasse Reichstein Nielsen
https://codereview.chromium.org/1214843004/diff/1/lib/src/result_future.dart File lib/src/result_future.dart (right): https://codereview.chromium.org/1214843004/diff/1/lib/src/result_future.dart#newcode14 lib/src/result_future.dart:14: class ResultFuture<T> extends DelegatingFuture<T> { I can see the ...
3 years, 11 months ago (2015-07-09 11:18:20 UTC) #6
nweiz
Code review changes
3 years, 11 months ago (2015-07-10 00:04:53 UTC) #7
Lasse Reichstein Nielsen
Ok, I accept ;) LGTM
3 years, 11 months ago (2015-07-13 07:18:16 UTC) #8
nweiz
Oops, forgot to send out my last round of replies. https://codereview.chromium.org/1214843004/diff/1/lib/src/result_future.dart File lib/src/result_future.dart (right): https://codereview.chromium.org/1214843004/diff/1/lib/src/result_future.dart#newcode14 ...
3 years, 11 months ago (2015-07-13 20:05:52 UTC) #9
nweiz
3 years, 11 months ago (2015-07-13 20:06:27 UTC) #10
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as
5465a4f2a4717cf5a209a96694bb1dd7e4c13811 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698